NAME
Tk_GetJustify, Tk_NameOfJustify - translate between strings and justification styles

SYNOPSIS
#include <tk.h>

Tk_Justify
Tk_GetJustify(interp, string, justifyPtr)

char *
Tk_NameOfJustify(justify)

ARGUMENTS
Interpreter to use for error reporting. String containing name of justification style (``left'', ``right'', ``center'', or ``fill''). Pointer to location in which to store justify value corresponding to string. Justification style (one of the values listed below).

DESCRIPTION

Tk_GetJustify places in *justifyPtr the justify value corresponding to string. This value will be one of the following:

TK_JUSTIFY_LEFT
    Means that the text on each line should start at the left edge of the line; as a result, the right edges of lines may be ragged.

TK_JUSTIFY_RIGHT
    Means that the text on each line should end at the right edge of the line; as a result, the left edges of lines may be ragged.

TK_JUSTIFY_CENTER
    Means that the text on each line should be centered; as a result, both the left and right edges of lines may be ragged.

TK_JUSTIFY_FILL
    Means that the text on each line should start at the left edge of the line and end at the right edge, with the sizes of the spaces in the line adjusted to make this work.

Under normal circumstances the return value is TCL_OK and interp is unused. If string doesn't contain a valid justification style or an abbreviation of one of these names, then an error message is stored in interp->result, TCL_ERROR is returned, and *justifyPtr is unmodified.

Tk_NameOfJustify is the logical inverse of Tk_GetJustify. Given a justify value it returns a statically-allocated string corresponding to justify. If justify isn't a legal justify value, then ``unknown justification style'' is returned.

KEYWORDS
center, fill, justification, string